GDB (xrefs)

Typedefs | Functions | Variables
gdb_vecs.h File Reference
`#include "vec.h"`

Go to the source code of this file.

## Typedefs
typedef char * | char_ptr
typedef const char * | const_char_ptr

## Functions
| DEF_VEC_P (char_ptr)
| DEF_VEC_P (const_char_ptr)
void | free_char_ptr_vec (VEC(char_ptr) *char_ptr_vec)
struct cleanup * | make_cleanup_free_char_ptr_vec (VEC(char_ptr) *char_ptr_vec)
| VEC (char_ptr) *delim_string_to_char_ptr_vec(const char *str
void | dirnames_to_char_ptr_vec_append (VEC(char_ptr) **vecp, const char *dirnames)

## Variables
char | delimiter

## Typedef Documentation

## ◆ char_ptr

typedef char* char_ptr

Definition at line 25 of file gdb_vecs.h.

## ◆ const_char_ptr

typedef const char* const_char_ptr

Definition at line 26 of file gdb_vecs.h.

## Function Documentation

## ◆ DEF_VEC_P() [1/2]

DEF_VEC_P | ( | char_ptr |  | ) |

## ◆ DEF_VEC_P() [2/2]

DEF_VEC_P | ( | const_char_ptr |  | ) |

## ◆ dirnames_to_char_ptr_vec_append()

void dirnames_to_char_ptr_vec_append | ( | VEC(char_ptr) ** | vecp,
|  | const char * | dirnames
| ) |  |

Definition at line 94 of file gdb_vecs.c.

References delim_string_to_char_ptr_vec_append(), and DIRNAME_SEPARATOR.

Referenced by add_path().

## ◆ free_char_ptr_vec()

void free_char_ptr_vec | ( | VEC(char_ptr) * | char_ptr_vec | ) |

Definition at line 32 of file gdb_vecs.c.

References name, VEC_free, VEC_iterate, and xfree().

Referenced by auto_load_safe_path_vec_update(), clear_program_space_solib_cache(), and do_free_char_ptr_vec().

## ◆ make_cleanup_free_char_ptr_vec()

struct cleanup* make_cleanup_free_char_ptr_vec | ( | VEC(char_ptr) * | char_ptr_vec | ) |

Definition at line 3192 of file utils.c.

References do_free_char_ptr_vec(), and make_cleanup().

Referenced by add_path(), auto_load_objfile_script_1(), build_id_to_debug_bfd(), find_separate_debug_file(), openp(), and thread_db_load_search().

## ◆ VEC()

VEC | ( | char_ptr |  | ) | const

## Variable Documentation

## ◆ delimiter

char delimiter

Definition at line 38 of file gdb_vecs.h.

Referenced by delim_string_to_char_ptr_vec_append(), gdb_rl_find_completion_word(), and VEC().